JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::CharReader::Factory Class Referenceabstract

`#include <json/reader.h>`

Inherited by Json::CharReaderBuilder.

## Public Member Functions

virtual | ~Factory ()=default
virtual CharReader * | newCharReader () const =0
| Allocate a CharReader via operator new().

## Detailed Description

Definition at line 281 of file reader.h.

## Constructor & Destructor Documentation

## ~Factory()

virtual Json::CharReader::Factory::~Factory | ( |  | ) |

virtual default

## Member Function Documentation

## newCharReader()

virtual CharReader * Json::CharReader::Factory::newCharReader | ( |  | ) | const

pure virtual

Allocate a CharReader via operator new().

Exceptions

  std::exception | if something goes wrong (e.g. invalid settings)

References Json::CharReader::CharReader().

Referenced by Json::parseFromStream().

The documentation for this class was generated from the following file:

- include/json/reader.h